#language: ru

@mutual_settlements

Функционал: 009. mutual_settlements. Списание задолженности

Сценарий: 009.1. mutual_settlements. Списание задолженности Лента

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.009. Взаиморасчеты"
	Дано я удаляю объекты "Документы.к2СписаниеЗадолженности" без контроля ссылок
	И Я начинаю создавать списание задолженности
	И в поле с именем 'Дата' я ввожу текст '31.03.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Лента'
	И в поле с именем 'ДатаСписания' я ввожу текст '31.03.2021'
	И я перехожу к закладке с именем "СтраницаРасшифровкаСписания"
	И в таблице "Задолженность" я нажимаю на кнопку с именем 'ЗадолженностьЗаполнитьПоОстаткам'
	И в поле с именем 'Комментарий' я ввожу текст 'СписаниеЗадолженностиЛента'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Контрагент" стал равен 'Лента'
		И элемент формы с именем "ДатаСписания" стал равен '31.03.2021'
		И элемент формы с именем "Дата" стал равен '31.03.2021  0:00:00'
		И таблица "Задолженность" стала равной:
			| 'Основание'                        | 'Объект расчета'                   | 'Сумма'  | 'Валюта' |
			| 'Соглашение с Лентой с 01.01.2021' | 'Соглашение с Лентой с 01.01.2021' | '500,00' | 'RUB'    |
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'СписаниеЗадолженностиЛента'
	* Записать
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда открылось окно 'Списание задолженности * от * [Создан] (не проведен)'
	* Провести
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Списание задолженности * от * [Создан]'
	И Я заканчиваю создавать списание задолженности

Сценарий: 009.2. mutual_settlements. Проверка движений списания задолженности Лента

	И Я проверяю движения списания задолженности "СписаниеЗадолженностиЛента"

Сценарий: 009.3. mutual_settlements. Проверка отборов для списания задолженности

	И В командном интерфейсе я выбираю 'Деньги' 'Списания задолженностей'
	Тогда открылось окно 'Списания задолженностей'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Состояние' | 'Организация'      | 'Контрагент' | 'Подразделение' | 'Ответственный' | 'Комментарий'                |
		| '31.03.2021' | 'Создан'    | 'Нижегородский МК' | 'Лента'      | 'Бухгалтерия'   | 'Администратор' | 'СписаниеЗадолженностиЛента' |
	* Отбор по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "29.03.2021" по "29.03.2021"
		Тогда открылось окно 'Списания задолженностей'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Списания задолженностей'
	* Отбор по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Отбор по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Отбор по контрагенту
		И из выпадающего списка с именем "_Отбор_Контрагент" я выбираю по строке 'Перекресток'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Контрагент"
	* Отбор по состоянию
		И из выпадающего списка с именем "_Отбор_Состояние" я выбираю по строке 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	* Отбор по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Комаров И.О.'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Списания задолженностей'

Сценарий: 009.4. mutual_settlements. Очистка отборов для списания задолженности

	И В командном интерфейсе я выбираю 'Деньги' 'Списания задолженностей'
	Тогда открылось окно 'Списания задолженностей'
	* Очистка отборов по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Списания задолженностей'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Контрагент"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Списания задолженностей'